Subject: Re: bug#20124: Building emacs and libjpeg not found on Fedora 22

From: Petr Hracek <[email-masked]>
Date: Tue, 17 Mar 2015 10:57:44 +0100

On 03/17/2015 10:47 AM, Petr Hracek wrote:
> I am trying to build emacs with following parameters in configuration 
> script.
> ./configure --build=x86_64-redhat-linux-gnu 
> --host=x86_64-redhat-linux-gnu --program-prefix= 
> --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr 
> --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc 
> --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 
> --libexecdir=/usr/libexec --localstatedir=/var 
> --sharedstatedir=/var/lib --mandir=/usr/share/man 
> --infodir=/usr/share/info --with-dbus --with-gif --with-jpeg 
> --with-png --with-rsvg --with-tiff --with-xft --with-xpm 
> --with-x-toolkit=gtk3 --with-gpm=no
>
> It fails with:
> configure: error: The following required libraries were not found:
>      libjpeg
> Maybe some development libraries/packages are missing?
> If you don't want to link with them give
>      --with-jpeg=no
> as options to configure
>
> I have installed following libjpeg versions:
> libjpeg-turbo-1.4.0-1.fc22
> libjpeg-turbo-devel-1.4.0-1.fc22.
> (http://koji.fedoraproject.org/koji/buildinfo?buildID=605282)
>
> The first package delivers SO libraries like so.62.0
> second one delivers headers and libjpeg.so library
>
> Do you have any idea where could be a problem?
>
> Greetings
> Petr
>
I have to mention that in libjpeg-turbo.spec is requires like:
%package devel
Summary:        Headers for the libjpeg-turbo library
Obsoletes:      libjpeg-devel < 6b-47
Provides:       libjpeg-devel = 6b-47%{?dist}
%if "%{?_isa}" != ""
Provides:       libjpeg-devel%{_isa} = 6b-47%{?dist}
%endif
Requires:       libjpeg-turbo%{?_isa} = %{version}-%{release}
Obsoletes:      libjpeg-turbo-static < 1.3.1
Provides:       libjpeg-turbo-static = 1.3.1%{?dist}

But I think that it has nothing to do with emacs.

-- 
Petr Hracek
Software Engineer
Developer Experience
Red Hat, Inc
Mob: +420777056169
email: [email-masked]